Subject: Ticket Assigned - Feedback or suggestions
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 27 Apr 2020 14:02:32 +0000 (UTC)

Hi Apoorv Joshi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions The worst online experience I ever had with baby shop. 
I was waiting for my order more then 2 weeks and at the end my order was canceled. It was very inconvenient as I could have ordered from other place if I knew from the beginning that it will be canceled. Now I have to order from other place and I have to wait again and I’m about to give birth so I don’t really have time ! 
Just improve ur service don’t let customers wait for weeks if you cancelling the order ! 

iOS Version: 13.3.1
App Version: 8.8.9 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/814538